Ignore:
Timestamp:
Aug 20, 2007 12:04:55 AM (14 years ago)
Author:
andreasw
Message:

merging changes from Bug Squashing Party Aug 2007 to regular trunk

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r447 r522  
    16661666
    16671667
     1668#turn off warnings and pedantic mode since it seem to make trouble on solaris platform
     1669#and we couldn't fix it anyway
     1670coin_skip_warn_cflags=yes
     1671
    16681672# Check if user wants to produce debugging code
    16691673
     
    17841788  if test "$enable_doscompile" != no; then
    17851789     case $build in
    1786        *-cygwin*) ;;
    1787        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1788 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1790       *-cygwin* | *-mingw*) ;;
     1791       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1792echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    17891793   { (exit 1); exit 1; }; } ;;
    17901794     esac
     
    17941798fi;
    17951799 case "$enable_doscompile" in
    1796    msvc|mingw|no) ;;
     1800   mingw)
     1801     case $build in
     1802       *-mingw*) enable_doscompile=no ;;
     1803     esac
     1804     ;;
     1805   msvc|no) ;;
    17971806   yes) enable_doscompile=mingw ;;
    17981807   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    27442753          xlc* | */xlc* | mpxlc* | */mpxlc*)
    27452754            coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    2746             coin_add_cflags="-bmaxdata:0x80000000"
     2755            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27472756            coin_dbg_cflags="-g"
    27482757          ;;
     
    46294638*-*-irix6*)
    46304639  # Find out which ABI we are using.
    4631   echo '#line 4631 "configure"' > conftest.$ac_ext
     4640  echo '#line 4640 "configure"' > conftest.$ac_ext
    46324641  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46334642  (eval $ac_compile) 2>&5
     
    62286237
    62296238# Provide some information about the compiler.
    6230 echo "$as_me:6230:" \
     6239echo "$as_me:6239:" \
    62316240     "checking for Fortran 77 compiler version" >&5
    62326241ac_compiler=`set X $ac_compile; echo $2`
     
    72957304   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72967305   -e 's:$: $lt_compiler_flag:'`
    7297    (eval echo "\"\$as_me:7297: $lt_compile\"" >&5)
     7306   (eval echo "\"\$as_me:7306: $lt_compile\"" >&5)
    72987307   (eval "$lt_compile" 2>conftest.err)
    72997308   ac_status=$?
    73007309   cat conftest.err >&5
    7301    echo "$as_me:7301: \$? = $ac_status" >&5
     7310   echo "$as_me:7310: \$? = $ac_status" >&5
    73027311   if (exit $ac_status) && test -s "$ac_outfile"; then
    73037312     # The compiler can only warn and ignore the option if not recognized
     
    75637572   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75647573   -e 's:$: $lt_compiler_flag:'`
    7565    (eval echo "\"\$as_me:7565: $lt_compile\"" >&5)
     7574   (eval echo "\"\$as_me:7574: $lt_compile\"" >&5)
    75667575   (eval "$lt_compile" 2>conftest.err)
    75677576   ac_status=$?
    75687577   cat conftest.err >&5
    7569    echo "$as_me:7569: \$? = $ac_status" >&5
     7578   echo "$as_me:7578: \$? = $ac_status" >&5
    75707579   if (exit $ac_status) && test -s "$ac_outfile"; then
    75717580     # The compiler can only warn and ignore the option if not recognized
     
    76677676   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76687677   -e 's:$: $lt_compiler_flag:'`
    7669    (eval echo "\"\$as_me:7669: $lt_compile\"" >&5)
     7678   (eval echo "\"\$as_me:7678: $lt_compile\"" >&5)
    76707679   (eval "$lt_compile" 2>out/conftest.err)
    76717680   ac_status=$?
    76727681   cat out/conftest.err >&5
    7673    echo "$as_me:7673: \$? = $ac_status" >&5
     7682   echo "$as_me:7682: \$? = $ac_status" >&5
    76747683   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    76757684   then
     
    1001210021  lt_status=$lt_dlunknown
    1001310022  cat > conftest.$ac_ext <<EOF
    10014 #line 10014 "configure"
     10023#line 10023 "configure"
    1001510024#include "confdefs.h"
    1001610025
     
    1011210121  lt_status=$lt_dlunknown
    1011310122  cat > conftest.$ac_ext <<EOF
    10114 #line 10114 "configure"
     10123#line 10123 "configure"
    1011510124#include "confdefs.h"
    1011610125
     
    1245612465   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1245712466   -e 's:$: $lt_compiler_flag:'`
    12458    (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
     12467   (eval echo "\"\$as_me:12467: $lt_compile\"" >&5)
    1245912468   (eval "$lt_compile" 2>conftest.err)
    1246012469   ac_status=$?
    1246112470   cat conftest.err >&5
    12462    echo "$as_me:12462: \$? = $ac_status" >&5
     12471   echo "$as_me:12471: \$? = $ac_status" >&5
    1246312472   if (exit $ac_status) && test -s "$ac_outfile"; then
    1246412473     # The compiler can only warn and ignore the option if not recognized
     
    1256012569   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1256112570   -e 's:$: $lt_compiler_flag:'`
    12562    (eval echo "\"\$as_me:12562: $lt_compile\"" >&5)
     12571   (eval echo "\"\$as_me:12571: $lt_compile\"" >&5)
    1256312572   (eval "$lt_compile" 2>out/conftest.err)
    1256412573   ac_status=$?
    1256512574   cat out/conftest.err >&5
    12566    echo "$as_me:12566: \$? = $ac_status" >&5
     12575   echo "$as_me:12575: \$? = $ac_status" >&5
    1256712576   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1256812577   then
     
    1413014139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1413114140   -e 's:$: $lt_compiler_flag:'`
    14132    (eval echo "\"\$as_me:14132: $lt_compile\"" >&5)
     14141   (eval echo "\"\$as_me:14141: $lt_compile\"" >&5)
    1413314142   (eval "$lt_compile" 2>conftest.err)
    1413414143   ac_status=$?
    1413514144   cat conftest.err >&5
    14136    echo "$as_me:14136: \$? = $ac_status" >&5
     14145   echo "$as_me:14145: \$? = $ac_status" >&5
    1413714146   if (exit $ac_status) && test -s "$ac_outfile"; then
    1413814147     # The compiler can only warn and ignore the option if not recognized
     
    1423414243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423514244   -e 's:$: $lt_compiler_flag:'`
    14236    (eval echo "\"\$as_me:14236: $lt_compile\"" >&5)
     14245   (eval echo "\"\$as_me:14245: $lt_compile\"" >&5)
    1423714246   (eval "$lt_compile" 2>out/conftest.err)
    1423814247   ac_status=$?
    1423914248   cat out/conftest.err >&5
    14240    echo "$as_me:14240: \$? = $ac_status" >&5
     14249   echo "$as_me:14249: \$? = $ac_status" >&5
    1424114250   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1424214251   then
     
    1644116450   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1644216451   -e 's:$: $lt_compiler_flag:'`
    16443    (eval echo "\"\$as_me:16443: $lt_compile\"" >&5)
     16452   (eval echo "\"\$as_me:16452: $lt_compile\"" >&5)
    1644416453   (eval "$lt_compile" 2>conftest.err)
    1644516454   ac_status=$?
    1644616455   cat conftest.err >&5
    16447    echo "$as_me:16447: \$? = $ac_status" >&5
     16456   echo "$as_me:16456: \$? = $ac_status" >&5
    1644816457   if (exit $ac_status) && test -s "$ac_outfile"; then
    1644916458     # The compiler can only warn and ignore the option if not recognized
     
    1670916718   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1671016719   -e 's:$: $lt_compiler_flag:'`
    16711    (eval echo "\"\$as_me:16711: $lt_compile\"" >&5)
     16720   (eval echo "\"\$as_me:16720: $lt_compile\"" >&5)
    1671216721   (eval "$lt_compile" 2>conftest.err)
    1671316722   ac_status=$?
    1671416723   cat conftest.err >&5
    16715    echo "$as_me:16715: \$? = $ac_status" >&5
     16724   echo "$as_me:16724: \$? = $ac_status" >&5
    1671616725   if (exit $ac_status) && test -s "$ac_outfile"; then
    1671716726     # The compiler can only warn and ignore the option if not recognized
     
    1681316822   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681416823   -e 's:$: $lt_compiler_flag:'`
    16815    (eval echo "\"\$as_me:16815: $lt_compile\"" >&5)
     16824   (eval echo "\"\$as_me:16824: $lt_compile\"" >&5)
    1681616825   (eval "$lt_compile" 2>out/conftest.err)
    1681716826   ac_status=$?
    1681816827   cat out/conftest.err >&5
    16819    echo "$as_me:16819: \$? = $ac_status" >&5
     16828   echo "$as_me:16828: \$? = $ac_status" >&5
    1682016829   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1682116830   then
Note: See TracChangeset for help on using the changeset viewer.